Sequence Name TOO LONG for Firebird

fb-2.1.1 installer

Sequence Name TOO LONG for Firebird

Posted:14 Sep 2008 (13:39 UTC)
Failed to create sequence gmaps_tilelayers_tilelayer_id_seq:
CREATE SEQUENCE gmaps_tilelayers_tilelayer_id_seq START 1

Failed to create sequence gmaps_copyrights_copyright_id_seq:
CREATE SEQUENCE gmaps_copyrights_copyright_id_seq START 1

Failed to create sequence gmaps_marker_styles_style_id_seq:
CREATE SEQUENCE gmaps_marker_styles_style_id_seq START 1

Failed to create sequence gmaps_polyline_styles_style_id_seq:
CREATE SEQUENCE gmaps_polyline_styles_style_id_seq START 1

Failed to create sequence gmaps_polygon_styles_style_id_seq:
CREATE SEQUENCE gmaps_polygon_styles_style_id_seq START 1

Where are those sql command located ? In which file ?

an installer on fb-2.2.1
Anonymous

Re: Sequence Name TOO LONG for Firebird

Posted:15 Sep 2008 (04:02 UTC)
Problem solved.(:mrgreen:)

They are at line 271 in file ../gmap/admin/schema_inc.php
There are also some other sequences (generators) over there,
but only those 4 are not working (name too long).

They won't cause any problems in installation, but if later you have to use gmaps, I am afraid, something may happen.

For BitWeaver as a whole program, it is 'so far so good',
only the speed is a draw-back.( compared with program using firebird-php directly)

I am going to integerate firebird's nback into bitware so that it can do the real around-clock, around-global hot- on-line real-time backup. ( http://tech.groups.yahoo.com/group/firebird-php/message/2306 )

I am afraid this back-up can't be a part of bitware as no other database engine except Firebird has this function, and the whole work you see here is a small part of another
Project I am working on: FLAP
FirebirdSS-2.1.1
Linux CentOs-5.2
Apache-2.2.3
PHP-5.2.6

FLAP works seamlessly smooth and stable...
and now BitWeaver is weaved in (after many other programs)

Looking forward to the original author of gmap to do something about this 'tiny errors'. ( I also wonder how can it pass the test-run before it was published , what version of Firebird, Firebird-php you are using ? )

truly yours
Bitweaver installer on FLAP
Post
If you are already registered with bitweaver please enter your login details above.
Sorry, we have to ask.
Anonymous Post